package com.fs.hisStore.service;

import com.fs.hisStore.domain.FsQuestionsScrm;
import com.fs.hisStore.param.FsQuestionsListUParam;
import com.fs.hisStore.vo.FsQuestionsListUVO;

import java.util.List;

/**
 * 问答专区Service接口
 *
 * @author fs
 * @date 2023-10-23
 */
public interface IFsQuestionsScrmService
{
    /**
     * 查询问答专区
     *
     * @param id 问答专区主键
     * @return 问答专区
     */
    public FsQuestionsScrm selectFsQuestionsById(Long id);

    /**
     * 查询问答专区列表
     *
     * @param fsQuestions 问答专区
     * @return 问答专区集合
     */
    public List<FsQuestionsScrm> selectFsQuestionsList(FsQuestionsScrm fsQuestions);

    /**
     * 新增问答专区
     *
     * @param fsQuestions 问答专区
     * @return 结果
     */
    public int insertFsQuestions(FsQuestionsScrm fsQuestions);

    /**
     * 修改问答专区
     *
     * @param fsQuestions 问答专区
     * @return 结果
     */
    public int updateFsQuestions(FsQuestionsScrm fsQuestions);

    /**
     * 批量删除问答专区
     *
     * @param ids 需要删除的问答专区主键集合
     * @return 结果
     */
    public int deleteFsQuestionsByIds(Long[] ids);

    /**
     * 删除问答专区信息
     *
     * @param id 问答专区主键
     * @return 结果
     */
    public int deleteFsQuestionsById(Long id);

    String importData(List<FsQuestionsScrm> list);

    List<FsQuestionsListUVO> selectFsQuestionsListUVO(FsQuestionsListUParam param);
}
